Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
tls_cbc.h File Reference
`#include <botan/aead.h>`
`#include <botan/block_cipher.h>`
`#include <botan/mac.h>`
`#include <botan/tls_version.h>`

Go to the source code of this file.

## Classes
class | Botan::TLS::TLS_CBC_HMAC_AEAD_Decryption
class | Botan::TLS::TLS_CBC_HMAC_AEAD_Encryption
class | Botan::TLS::TLS_CBC_HMAC_AEAD_Mode

## Namespaces
| Botan
| Botan::TLS

## Functions
uint16_t | Botan::TLS::check_tls_cbc_padding (const uint8_t record[], size_t record_len)